summaryrefslogtreecommitdiffstats
path: root/sqlite
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2009-05-17 07:41:53 +0000
committer Eric Hameleers <alien@slackware.com>2009-05-17 07:41:53 +0000
commit513f7ca065f85ca296e12d7411188efea75ee286 (patch)
treedd139f405f630c9c7e492df1f6c49fb1c3ac7aba /sqlite
parent094eeb03cad192143fbbf05ed92a17e4fe0c3590 (diff)
downloadasb-513f7ca065f85ca296e12d7411188efea75ee286.tar.gz
asb-513f7ca065f85ca296e12d7411188efea75ee286.tar.xz
Updated to 3.6.14
Diffstat (limited to 'sqlite')
-rwxr-xr-xsqlite/build/sqlite.SlackBuild13
1 files changed, 11 insertions, 2 deletions
diff --git a/sqlite/build/sqlite.SlackBuild b/sqlite/build/sqlite.SlackBuild
index 6791c370..690e37b0 100755
--- a/sqlite/build/sqlite.SlackBuild
+++ b/sqlite/build/sqlite.SlackBuild
@@ -24,7 +24,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=sqlite
-VERSION=${VERSION:-3.6.13}
+VERSION=${VERSION:-3.6.14}
ARCH=${ARCH:-x86_64}
BUILD=${BUILD:-1}
@@ -64,6 +64,7 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+configure() {
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -76,7 +77,15 @@ CXXFLAGS="$SLKCFLAGS" \
--enable-tempstore=yes \
--enable-load-extension \
--enable-static=no \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux
+ return $?
+}
+
+if ! configure ; then
+ # Try regenerating configure:
+ autoconf
+ configure || exit 1
+fi
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1